## openjpeg2 2.3.0

=== debian/changelog ===
openjpeg2 (2.3.0-2+deb10u4) buster-security; urgency=medium

  * Non-maintainer upload by the ELTS Team.
  * CVE-2019-12973: Excessive iterations in convertbmp
  * CVE-2025-50952: Avoid potential undefined behaviour
    in opj_dwt_decode_tile()

 -- Adrian Bunk <bunk@debian.org>  Sat, 09 Aug 2025 17:14:11 +0300

openjpeg2 (2.3.0-2+deb10u3) buster-security; urgency=high

  * Non-maintainer upload by the ELTS team.
  * Fix CVE-2021-3575, CVE-2021-29338, CVE-2022-1122, CVE-2024-56826
    and CVE-2024-56827. Partially mitigate CVE-2023-39327.
    Several security vulnerabilities have been discovered in openjpeg2, a JPEG
    2000 image library. Processing of maliciously crafted image files may
    trigger heap-based buffer overflows which may lead to an application crash
    or other undefined behavior.

 -- Markus Koschany <apo@debian.org>  Mon, 31 Mar 2025 20:24:17 +0200

openjpeg2 (2.3.0-2+deb10u2) buster-security; urgency=medium

  * CVE-2020-27814
  * CVE-2020-27823
  * CVE-2020-27841
  * CVE-2020-27842
  * CVE-2020-27843 (Closes: #983663)
  * CVE-2020-27845
  * CVE-2020-27824
  * CVE-2020-15389 (Closes: #965220)
  * CVE-2020-8112 (Closes: #950184)
  * CVE-2020-6851 (Closes: #950000)

 -- Moritz Mühlenhoff <jmm@debian.org>  Fri, 26 Mar 2021 18:50:02 +0100

openjpeg2 (2.3.0-2+deb10u1) buster; urgency=high

  * Backport security fixes:
  * CVE-2018-21010: heap buffer overflow in color_apply_icc_profile
    (Closes: #939553).
  * CVE-2018-20847: improper computation of values in the function
    opj_get_encoding_parameters, leading to an integer overflow
    (Closes: #931294).

 -- Hugo Lefeuvre <hle@debian.org>  Thu, 17 Oct 2019 14:48:09 +0200

openjpeg2 (2.3.0-2) unstable; urgency=high

  [ Hugo Lefeuvre ]
  * CVE-2017-17480: stack-based buffer overflow in the pgxtovolume function in
    jp3d/convert.c (Closes: #884738).
  * CVE-2018-14423: division-by-zero in pi_next_pcrl, pi_next_cprl, and
    pi_next_rpcl in lib/openjp3d/pi.c (Closes: #904873).
  * CVE-2018-18088: null pointer dereference in imagetopnm in jp2/convert.c
    (Closes: #910763).
  * CVE-2018-5785: integer overflow caused by an out-of-bounds left shift in the
    opj_j2k_setup_encoder function (openjp2/j2k.c) (Closes: #888533).
  * CVE-2018-6616: excessive iteration in the opj_t1_encode_cblks function of
    openjp2/t1.c (Closes: #889683).

  [ Mathieu Malaterre ]
  * Add Hugo as Uploader

 -- Mathieu Malaterre <malat@debian.org>  Sun, 10 Mar 2019 18:34:51 +0100

openjpeg2 (2.3.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix "FTBFS with Java 9 due to -source/-target only":
    apply patch by Markus Koschany to build with Java 9 or later.
    (Closes: #873997)

 -- gregor herrmann <gregoa@debian.org>  Sun, 02 Dec 2018 18:18:22 +0100

openjpeg2 (2.3.0-1) unstable; urgency=medium

  * New upstream release. Closes: #877758
  * Drop explicit -dbg package. Closes: #877676
  * Fix CVE-2017-14041. Closes: #874115
  * Fix CVE-2017-14151. Closes: #874430
  * Fix CVE-2017-14152. Closes: #874431

 -- Mathieu Malaterre <malat@debian.org>  Mon, 16 Oct 2017 07:43:41 +0200

openjpeg2 (2.2.0-2) unstable; urgency=medium

  * Fix changelog. Closes: #876535
  * Provide openjpeg-2.1 compat symlinks:
    + usr/include/openjpeg-2.1
    + usr/lib/$(DEB_HOST_MULTIARCH)/openjpeg-2.1

 -- Mathieu Malaterre <malat@debian.org>  Tue, 03 Oct 2017 07:20:44 +0200

openjpeg2 (2.1.2-1.3) unstable; urgency=medium

  * Fix FTFBS (Closes: #871905)

 -- Moritz Muehlenhoff <jmm@debian.org>  Sat, 12 Aug 2017 15:54:38 +0200

openjpeg2 (2.1.2-1.2) unstable; urgency=medium

  * Non-maintainer upload
  * Fix CVE-2016-1626, CVE-2016-1628, CVE-2016-5152, CVE-2016-9112 and
    CVE-2016-9118.patch

 -- Moritz Muehlenhoff <jmm@debian.org>  Fri, 11 Aug 2017 22:17:07 +0200

=== debian/control ===
Source: openjpeg2
Priority: optional
Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
Uploaders: Mathieu Malaterre <malat@debian.org>, Hugo Lefeuvre <hle@debian.org>
Homepage: http://www.openjpeg.org
Build-Depends: cmake (>= 2.8.2),
               debhelper (>= 9),
               default-jdk,
               dh-apache2,
               help2man,
               javahelper (>= 0.37~),
               libcurl4-gnutls-dev | libcurl-ssl-dev,
               libfcgi-dev,
               liblcms2-dev,
               libpng-dev,
               libtiff-dev,
               libxerces2-java,
               zlib1g-dev
Standards-Version: 4.1.0
Section: libs
Vcs-Browser: http://anonscm.debian.org/viewvc/collab-maint/deb-maint/openjpeg2/trunk/
Vcs-Svn: svn://anonscm.debian.org/collab-maint/deb-maint/openjpeg2/trunk

Package: libopenjp2-7-dev
Section: libdevel
Architecture: any
Depends: libopenjp2-7 (= ${binary:Version}), ${misc:Depends}
Description: development files for OpenJPEG, a JPEG 2000 image library
 OpenJPEG is a library for handling the JPEG 2000 image compression format.
 JPEG 2000 is a wavelet-based image compression standard and permits progressive
 transmission by pixel and resolution accuracy for progressive downloads of an
 encoded image. It supports lossless and lossy compression, supports higher
 compression than JPEG 1991, and has resilience to errors in the image.
 .
 This package contains the development files for openjpeg 2.x

Package: libopenjp2-7
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: JPEG 2000 image compression/decompression library
 OpenJPEG is a library for handling the JPEG 2000 image compression format.
 JPEG 2000 is a wavelet-based image compression standard and permits progressive
 transmission by pixel and resolution accuracy for progressive downloads of an
 encoded image. It supports lossless and lossy compression, supports higher
 compression than JPEG 1991, and has resilience to errors in the image.
 .
 This package contains the runtime files for openjpeg 2.x

Package: libopenjpip7
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: JPEG 2000 Interactive Protocol
 OpenJPEG is a library for handling the JPEG 2000 image compression format.
 JPEG 2000 is a wavelet-based image compression standard and permits progressive
 transmission by pixel and resolution accuracy for progressive downloads of an
 encoded image. It supports lossless and lossy compression, supports higher
 compression than JPEG 1991, and has resilience to errors in the image.
 .
 This is an implementation of the JPEG 2000 Interactive Protocol (Part-9)

Package: libopenjp3d7
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: JP3D (JPEG 2000 / Part 10) image compression/decompression library
 OpenJPEG is a library for handling the JPEG 2000 image compression format.
 JPEG 2000 is a wavelet-based image compression standard and permits progressive
 transmission by pixel and resolution accuracy for progressive downloads of an
 encoded image. It supports lossless and lossy compression, supports higher
 compression than JPEG 1991, and has resilience to errors in the image.
 .
 This is an implementation of the JPEG 2000 (JP3D) volumetric imaging (Part-10)

Package: libopenjpip-dec-server
Section: graphics
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Conflicts: openjpip-dec-server
Description: tool to allow caching of JPEG 2000 files using JPIP protocol
 This is client side application for caching remote JPEG 2000 using the JPIP
 protocol. This command line application needs to run on the client side to
 allow application such as opj_viewer to view images.

Package: libopenjpip-viewer
Section: graphics
Architecture: all
Depends: libopenjpip-dec-server, ${java:Depends}, ${misc:Depends}
Suggests: libopenjp2-tools
Conflicts: openjpip-viewer
Description: JPEG 2000 java based viewer for advanced remote JPIP access
 Java based client to view remote JPEG 2000 using JPIP protocol.
 This is a simple java viewer to allow:
 .
  - Scale up request: Enlarge the window
  - ROI request: Select a region by mouse click and drag, then click inside the
    red frame of the selected region
  - Annotate image with ROI information in XML metadata: Click button "Region
    Of Interest"
  - Open a new window presenting an aligned image with a locally stored image:
    Click button "Image Registration" (Under Construction)

Package: libopenjpip-server
Section: graphics
Architecture: any
Multi-Arch: foreign
Depends: libwww-perl,
         spawn-fcgi (>= 1.6.1),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: ${misc:Recommends}
Conflicts: openjpip-server
Description: JPIP server for JPEG 2000 files
 OpenJPIP software is an implementation of JPEG 2000 Part9: Interactivity tools,
 APIs and protocols (JPIP). For more info about JPIP, check the website:
 http://www.jpeg.org/jpeg2000/j2kpart9.html. The current implementation uses
 some results from the 2KAN project (http://www.2kan.org).
 .
 First Version covers:
 .
  - JPT-stream (Tile based) and JPP-stream (Precinct based) media types
  - Session, channels, cache model managements
  - JPIP over HTTP
  - Indexing JPEG 2000 files
  - Embedding XML formatted metadata
  - Region Of Interest (ROI) requests

Package: libopenjp3d-tools
Section: graphics
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: libopenjp2-tools
Description: command-line tools using the JPEG 2000 - 3D library
 This package provides with command-line tools allowing for conversions between
 several formats and also provides tools for encoding and decoding
 jpeg 3D formats:
 .
  - opj_jp3d_compress: compress into JP3D volume
  - opj_jp3d_decompress: decompress JP3D volume

Package: libopenjp2-tools
Section: graphics
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: command-line tools using the JPEG 2000 library
 This package provides with command-line tools allowing for conversions between
 several formats and also provides tools for encoding and decoding
 motion-jpeg2000 video formats:
 .
  - opj_decompress: decodes j2k, jp2, and jpt files to pgm, ppm, pnm,
                  pgx, and bmp.
  - opj_compress: encodes pnm, pgm, pgx, bmp, and ppm files to j2k,
                  and jp2.
  - opj_dump: dump information contains in j2k and jp2.
  - index_create: create jp2 with JPIP index file from a j2k file.
  - frames_to_mj2: convert YUV video streams to mj2 format.
  - mj2_to_frames: convert mj2 video streams to YUV format.
  - wrap_j2k_in_mj2: wrap j2k codestreams into mj2 format.
  - extract-j2k-from_mj2: extract j2k codestreams from the mj2 format.

## openjpeg2 2.3.0.5

=== src/lib/openjp3d/CMakeLists.txt ===
# openjp3d
include_regular_expression("^.*$")

include_directories(
  ${OPENJPEG_BINARY_DIR}/src/lib/openjp2 # opj_config.h
  )

set(OPENJP3D_LIBRARY_NAME openjp3d)
# Defines the source code for the library
set(OPENJP3D_SRCS
bio.c  cio.c  dwt.c  event.c  jp3d.c  jp3d_lib.c  mct.c  mqc.c  openjp3d.c
pi.c  raw.c  t1.c  t1_3d.c  t2.c  tcd.c  tgt.c  volume.c
)

# Build the library
if(WIN32)
  if(BUILD_SHARED_LIBS)
    add_definitions(-DOPJ_EXPORTS)
  else()
    add_definitions(-DOPJ_STATIC)
  endif()
endif()

# build jp3d lib:
add_library(${OPENJP3D_LIBRARY_NAME} ${OPENJP3D_SRCS})
if(UNIX)
  target_link_libraries(${OPENJP3D_LIBRARY_NAME} m)
endif()
set_target_properties(${OPENJP3D_LIBRARY_NAME} PROPERTIES ${OPENJPEG_LIBRARY_PROPERTIES})
if(${CMAKE_VERSION} VERSION_GREATER "2.8.11")
  target_compile_options(${OPENJP3D_LIBRARY_NAME} PRIVATE ${OPENJPEG_LIBRARY_COMPILE_OPTIONS})
endif()

# Install library
install(TARGETS ${OPENJP3D_LIBRARY_NAME}
  EXPORT OpenJP3DTargets
  DESTINATION ${OPENJPEG_INSTALL_LIB_DIR}
  COMPONENT Libraries
)

# Install includes files
install(FILES openjp3d.h
  DESTINATION ${OPENJPEG_INSTALL_INCLUDE_DIR}
  COMPONENT Headers
)

=== debian/changelog ===
openjpeg2 (2.3.0.5-2+deb10u2+dde) unstable; urgency=medium

  * update

 -- Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>  Tue, 06 Jul 2021 10:13:52 +0800

openjpeg2 (2.3.0.5-2+deb10u2+dde) buster-security; urgency=medium

  * Non-maintainer upload.
  * fix CVE-2016-9114

 -- wangpei <wangpei@uniontech.com>  Wed, 05 Jul 2021 17:59:23 +0800

openjpeg2 (2.3.0.4-1+eagle) unstable; urgency=medium

  * fix CVE-2020-27841 CVE-2020-27845 CVE-2020-27824 CVE-2020-27823

 -- zhouzilong <zhouzilong@uniontech.com>  Sat, 20 Feb 2021 11:00:34 +0800

openjpeg2 (2.3.0.1-1+dde) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild

 -- zhouzilong <zhouzilong@uniontech.com>  Sun, 05 Jul 2020 16:18:55 +0800
